<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
        <ww:property value="getText('license.title')"/>
    </title>
</head>

<body>

    <div class="crowdForm">

    <form method="post" action="<ww:url namespace="/console" action="license" method="update" />">


        <div class="formTitle">
            <h2>
                <ww:property value="getText('license.title')"/>
            </h2>
        </div>

        <div class="formBodyNoTop">

        <p>
            <ww:property value="getText('license.invalid.text')"/>
        </p>


        <ww:include value="/console/include/generic_errors.jsp"/>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.organization.label')" />
            <ww:param name="value">
                    <ww:property value="license.organisation" />
            </ww:param>
        </ww:include>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.type.label')" />
            <ww:param name="value">
                    <ww:property value="license.licenseType" />
            </ww:param>
        </ww:include>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.datepurchased.label')" />
            <ww:param name="value">
                    <ww:date format="EEEE, dd MMM yyyy" name="license.datePurchased"/>
            </ww:param>
        </ww:include>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.supportperiod.label')" />
            <ww:param name="value">
                    <ww:property value="getText('license.supportperiod.description')"/>&nbsp;<strong><ww:date format="EEEE, dd MMM yyyy" name="licenseExpiryDate"/></strong>
            </ww:param>
        </ww:include>

        <ww:if test="license.partner" >
            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('license.userlimit.label')" />
                <ww:param name="value">
                        <ww:property value="license.partner"/>
                </ww:param>
            </ww:include>
        </ww:if>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.userlimit.label')" />
            <ww:param name="value">
                <ww:if test="license.users == 10000" >
                    <ww:property value="getText('license.unlimited.label')"/>
                </ww:if>
                <ww:else>
                    <ww:property value="license.users" />
                </ww:else>
            </ww:param>
        </ww:include>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('license.userresources.label')" />
            <ww:param name="value">
                    <ww:property value="currentResources" />
            </ww:param>
        </ww:include>

        <ww:include value="/console/include/generic_form_row.jsp">
            <ww:param name="label" value="getText('systeminfo.serverid.label')" />
            <ww:param name="value">
                    <ww:property value="crowdSid" />
            </ww:param>
        </ww:include>
                        
        <ww:textfield name="username" size="30">
            <ww:param name="label" value="getText('username.label')"/>
        </ww:textfield>


        <ww:password name="password" size="30">
            <ww:param name="label" value="getText('password.label')"/>
        </ww:password>

        <ww:textarea name="key" rows="8" cols="45">
            <ww:param name="label">
                <ww:property value="getText('license.key.label')"/>
            </ww:param>
        </ww:textarea>

        <p class="subtext"><ww:text name="license.key.description.1"/>
                <a href="<ww:url value="http://www.atlassian.com/ex/GenerateLicense.jspa">
                    <ww:param name="product" value="@com.atlassian.crowd.integration.Constants@APPLICATION_NAME" />
                    <ww:param name="version" value="@com.atlassian.crowd.util.build.BuildUtils@BUILD_VERSION" />
                    <ww:param name="sid" value="crowdSid" />
                    <ww:param name="ref" value="'prod'" />
                </ww:url>"><ww:text name="license.key.description.2"/></a>
            </p>
        
        <div class="formFooter wizardFooter">

            <div class="buttons">
                <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
            </div>
        </div>

        </div>

    </form>

    </div>

</body>
</html>