<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>

<html>
<head>
    <title>
        <ww:property value="getText('menu.viewdirectory.label')"/>
    </title>
    <meta name="section" content="directories"/>
    <jsp:include page="../../decorator/javascript_tabs.jsp">
        <jsp:param name="totalTabs" value="4"/>
    </jsp:include>
</head>
<body onload="init();">

    <p class="headingInfo">
        <a href="<ww:url namespace="/console/secure/directory" action="createdirectory" method="default" includeParams="none" />">
            <ww:property value="getText('menu.adddirectory.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/dataimport" action="useraggregator" method="default" includeParams="none" ><ww:param name="directoryID" value="ID" /></ww:url>">
            <ww:property value="getText('menu.useraggregator.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/directory" action="removedirectory" method="default" includeParams="none" ><ww:param name="ID" value="ID" /></ww:url>">
            <ww:property value="getText('menu.removedirectory.label')"/>
        </a>
    </p>

    <h2>
        <ww:property value="getText('menu.viewdirectory.label')"/>
        &nbsp;&ndash;&nbsp;
        <ww:property value="name"/>
    </h2>

    <div class="page-content">

        <ul class="tabs">
            <li class="on" id="hreftab1">
                <a href="javascript:processTabs(1);">
                    <ww:property value="getText('menu.details.label')"/>
                </a>
            </li>

            <li id="hreftab2">
                <a href="javascript:processTabs(2);">
                    <ww:property value="getText('menu.connector.label')"/>
                </a>
            </li>

            <li id="hreftab3">
                <a href="javascript:processTabs(3);">
                    <ww:property value="getText('menu.configuration.label')"/>
                </a>
            </li>

            <li id="hreftab4">
                <a href="javascript:processTabs(4);">
                    <ww:property value="getText('menu.permissions.label')"/>
                </a>
            </li>

        </ul>

        <div class="tabContent" id="tab1">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updateconnector" method="updateGeneral" includeParams="none" />">
                    <div class="formBodyNoTop">
                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <input type="hidden" name="tab" value="1"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <ww:textfield name="name" size="50">
                            <ww:param name="label" value="getText('directoryinternal.name.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryinternal.name.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="description" size="50">
                            <ww:param name="label" value="getText('directoryinternal.description.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryinternal.description.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('directory.type.label')" />
                            <ww:param name="value">
                                    <ww:property value="directory.implementation.directoryType"/>
                            </ww:param>
                        </ww:include>

                        <ww:checkbox name="active" fieldValue="true">
                            <ww:param name="label" value="getText('directory.active.label')"/>
                        </ww:checkbox>
                    </div>

                    <div class="formFooter wizardFooter">
                        <div class="buttons">

                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewconnector" method="default" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="1"/></ww:url>';"/>
                        </div>
                    </div>

                </form>
            </div>
        </div>

        <div class="tabContent" id="tab2">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updateconnector" method="updateConnector" includeParams="none" />">
                    <div class="formBody">
                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <input type="hidden" name="tab" value="2"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('directory.type.label')" />
                            <ww:param name="value">
                                    <ww:property value="directory.implementation.directoryType"/>
                            </ww:param>
                        </ww:include>

                        <ww:textfield name="URL" size="50">
                            <ww:param name="label" value="getText('directoryconnector.url.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.url.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:checkbox name="secure" fieldValue="true">
                            <ww:param name="label" value="getText('directoryconnector.secure.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.secure.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="referral" fieldValue="true">
                            <ww:param name="label" value="getText('directoryconnector.referral.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.referral.description')"/>
                            </ww:param>
                        </ww:checkbox>


                        <ww:textfield name="baseDN" size="50">
                            <ww:param name="label" value="getText('directoryconnector.basedn.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.basedn.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userDN" size="50">
                            <ww:param name="label" value="getText('directoryconnector.userdn.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userdn.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:password name="password" size="50">
                            <ww:param name="label" value="getText('directoryconnector.password.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.password.description')"/>
                            </ww:param>
                        </ww:password>
                    </div>

                    <div class="formFooter wizardFooter">
                        <div class="buttons">
                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewconnector" method="default" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="2" /></ww:url>';"/>
                        </div>
                    </div>

                </form>

            </div>

        </div>

        <div class="tabContent" id="tab3">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updateconnector" method="updateConfiguration" includeParams="none" />">
                    <div class="formBody">
                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <input type="hidden" name="tab" value="3"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <h3>
                            <ww:property value="getText('directoryconnector.groupconfiguration.label')"/>
                        </h3>

                        <ww:textfield name="groupDNaddition" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupdnaddition.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupdnaddition.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="groupObjectClass" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupobjectclass.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupobjectclass.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="groupObjectFilter" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupobjectfilter.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupobjectfilter.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="groupNameAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupname.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupname.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="groupDescriptionAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupdescription.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupdescription.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="groupMemberAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.groupmember.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.groupmember.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <h3>
                            <ww:property value="getText('directoryconnector.roleconfiguration.label')"/>
                        </h3>

                        <ww:textfield name="roleDNaddition" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.rolednaddition.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.rolednaddition.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="roleObjectClass" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.roleobjectclass.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.roleobjectclass.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="roleObjectFilter" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.roleobjectfilter.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.roleobjectfilter.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="roleNameAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.rolename.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.rolename.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="roleDescriptionAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.roledescription.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.roledescription.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="roleMemberAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.rolemember.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.rolemember.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <h3>
                            <ww:property value="getText('directoryconnector.userconfiguration.label')"/>
                        </h3>

                        <ww:textfield name="userDNaddition" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userdnaddition.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userdnaddition.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userObjectClass" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userobjectclass.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userobjectclass.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userObjectFilter" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userobjectfilter.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userobjectfilter.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userNameAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.usernameattribute.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.usernameattribute.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userFirstnameAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userfirstnameattribute.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userfirstnameattribute.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userLastnameAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userlastnameattribute.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userlastnameattribute.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userMailAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.usermailattribute.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.usermailattribute.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userGroupMemberAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.usermemberofattribute.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.usermemberofattribute.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="userPasswordAttr" size="35px;">
                            <ww:param name="label" value="getText('directoryconnector.userpassword.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryconnector.userpassword.description')"/>
                            </ww:param>
                        </ww:textfield>
                    </div>

                    <div class="formFooter wizardFooter">
                        <div class="buttons">
                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewconnector" method="default" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="2" /></ww:url>';"/>
                        </div>
                    </div>

                </form>

            </div>

        </div>

        <div class="tabContent" id="tab4">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updateconnector" method="updatePermission" includeParams="none" />">
                    <div class="formBody">

                        <ww:include value="/console/include/generic_errors.jsp"/>



                        <input type="hidden" name="tab" value="4"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <ww:checkbox name="permissionGroupAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addgroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addgroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addrole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addrole.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionGroupModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifygroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifygroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifyprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifyprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifyrole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifyrole.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionGroupRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removegroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removegroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removeprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removeprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removerole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removerole.description')"/>
                            </ww:param>
                        </ww:checkbox>

                    </div>

                    <div class="formFooter wizardFooter">

                        <div class="buttons">

                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewconnector" method="default" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="4" /></ww:url>';"/>

                        </div>
                    </div>

                </form>

            </div>

        </div>

    </div>
</body>
</html>