<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
<head>
    <title>
        <ww:property value="getText('menu.viewdirectory.label')"/>
    </title>
    <meta name="section" content="directories"/>
    <jsp:include page="../../decorator/javascript_tabs.jsp">
        <jsp:param name="totalTabs" value="3"/>
    </jsp:include>

    <script type="text/javascript" language="javascript">

        function addAttribute()
        {
            var form = document.attributesForm;
            form.action = '<ww:url namespace="/console/secure/directory" action="updatecustom" method="addAttribute" includeParams="none" />';
            form.submit();
        }

    </script>
</head>
<body onload="init();">

    <p class="headingInfo">
        <a href="<ww:url namespace="/console/secure/directory" action="createdirectory" method="default" includeParams="none" />">
            <ww:property value="getText('menu.adddirectory.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/dataimport" action="useraggregator" method="default" includeParams="none" ><ww:param name="directoryID" value="ID" /></ww:url>">
            <ww:property value="getText('menu.useraggregator.label')"/>
        </a>
        &nbsp; | &nbsp;
        <a href="<ww:url namespace="/console/secure/directory" action="removedirectory" method="default" ><ww:param name="ID" value="ID" /></ww:url>">
            <ww:property value="getText('menu.removedirectory.label')"/>
        </a>
    </p>

    <h2>
        <ww:property value="getText('menu.viewdirectory.label')"/>
        &nbsp;&ndash;&nbsp;
        <ww:property value="name"/>
    </h2>

    <div class="page-content">

        <ul class="tabs">
            <li class="on" id="hreftab1">
                <a href="javascript:processTabs(1);">
                    <ww:property value="getText('menu.details.label')"/>
                </a>
            </li>

            <li id="hreftab2">
                <a href="javascript:processTabs(2);">
                    <ww:property value="getText('menu.attributes.label')"/>
                </a>
            </li>

            <li id="hreftab3">
                <a href="javascript:processTabs(3);">
                    <ww:property value="getText('menu.permissions.label')"/>
                </a>
            </li>

        </ul>

        <div class="tabContent" id="tab1">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updatecustom" method="updateGeneral" includeParams="none" />">
                    <div class="formBody">
                        <ww:include value="/console/include/generic_errors.jsp"/>

                        <input type="hidden" name="tab" value="1"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <ww:textfield name="name" size="50">
                            <ww:param name="label" value="getText('directoryinternal.name.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryinternal.name.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:textfield name="description" size="50">
                            <ww:param name="label" value="getText('directoryinternal.description.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('directoryinternal.description.description')"/>
                            </ww:param>
                        </ww:textfield>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('directory.type.label')" />
                            <ww:param name="value">
                                    <ww:property value="directory.implementation.directoryType"/>
                            </ww:param>
                        </ww:include>

                        <ww:checkbox name="active" fieldValue="true">
                            <ww:param name="label" value="getText('directory.active.label')"/>
                        </ww:checkbox>

                        <ww:include value="/console/include/generic_form_row.jsp">
                           <ww:param name="label" value="getText('directorycustom.implementationclass.label')" />
                            <ww:param name="value">
                                    <ww:property value="directory.implementationClass"/>
                            </ww:param>
                        </ww:include>
                    </div>

                    <div class="formFooter wizardFooter">
                        <div class="buttons">    
                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewinternal" method="default" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="1" /></ww:url>';"/>
                        </div>
                    </div>

                </form>

            </div>
        </div>

        <div class="tabContent" id="tab2">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updatecustom" method="updateAttributes" includeParams="none" />" name="attributesForm">
                    <div class="formBody">

                        <ww:include value="/console/include/generic_errors.jsp"/>


                        <input type="hidden" name="tab" value="2"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <table id="attributesTable">
                            <tr>
                                <th width="40%">
                                    <ww:property value="getText('attribute.label')"/>
                                </th>
                                <th width="40%">
                                    <ww:property value="getText('values.label')"/>
                                </th>
                                <th width="20%">
                                    <ww:property value="getText('browser.action.label')"/>
                                </th>
                            </tr>

                            <ww:iterator value="directory.attributes" status="rowstatus">

                                <input type="hidden" name="attributes" value="<ww:property value="key" />"/>

                                <ww:if test="#rowstatus.odd == true"><tr class="odd"></ww:if>
                                <ww:else><tr class="even"></ww:else>
                                <td>
                                    <ww:property value="key"/>
                                </td>
                                <td>
                                    <ww:iterator value="value.values" status="valuestatus">
                                        <input type="text" name="<ww:property value="key" /><ww:property value="#valuestatus/count" />" value="<ww:property />" size="30"/><br/>
                                    </ww:iterator>
                                </td>
                                <td>
                                    <a href="<ww:url namespace="/console/secure/directory" action="updatecustom" method="removeAttribute" includeParams="none" ><ww:param name="attribute" value="key" /><ww:param name="ID" value="ID" /><ww:param name="tab" value="2"/></ww:url>"
                                       title="<ww:property value="getText('remove.label')"/>">
                                        <ww:property value="getText('remove.label')"/>
                                    </a>
                                </td>
                                </tr>

                            </ww:iterator>
                        </table>
                    </div>
                    <div class="formFooter wizardFooter">

                            <div class="buttons">

                            <ww:property value="getText('attribute.label')"/>
                            :&nbsp;<input type="text" name="attribute" size="15" value="<ww:property value="attribute" />"/>&nbsp;
                            <ww:property value="getText('value.label')"/>
                            :&nbsp;<input type="text" name="value" size="15" value="<ww:property value="value" />"/>&nbsp;
                            <input type="button" class="button" value="<ww:property value="getText('add.label')"/> &raquo;" onClick="addAttribute();"/>
                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="updatecustom" method="default" includeParams="none"><ww:param name="ID" value="ID"/><ww:param name="tab" value="2" /></ww:url>';"/>
                        </div>
                    </div>

                </form>

            </div>
        </div>


        <div class="tabContent" id="tab3">

            <div class="crowdForm">
                <form method="post" action="<ww:url namespace="/console/secure/directory" action="updatecustom" method="updatePermission" includeParams="none" />">
                    <div class="formBody">
                        <ww:include value="/console/include/generic_errors.jsp"/>



                        <input type="hidden" name="tab" value="3"/>
                        <input type="hidden" name="ID" value="<ww:property value="ID" />"/>

                        <ww:checkbox name="permissionGroupAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addgroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addgroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleAdd" fieldValue="true">
                            <ww:param name="label" value="getText('permission.addrole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.addrole.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionGroupModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifygroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifygroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifyprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifyprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleModify" fieldValue="true">
                            <ww:param name="label" value="getText('permission.modifyrole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.modifyrole.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionGroupRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removegroup.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removegroup.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionPrincipalRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removeprincipal.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removeprincipal.description')"/>
                            </ww:param>
                        </ww:checkbox>

                        <ww:checkbox name="permissionRoleRemove" fieldValue="true">
                            <ww:param name="label" value="getText('permission.removerole.label')"/>
                            <ww:param name="description">
                                <ww:property value="getText('permission.removerole.description')"/>
                            </ww:param>
                        </ww:checkbox>
                    </div>
                    <div class="formFooter wizardFooter">

                        <div class="buttons">

                            <input type="submit" class="button" value="<ww:property value="getText('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                                   onClick="window.location='<ww:url namespace="/console/secure/directory" action="viewinternal" method="default" includeParams="none" ><ww:param name="ID" value="ID" /><ww:param name="tab" value="3"/></ww:url>';"/>
                        </div>
                    </div>

                </form>

            </div>
        </div>
    </div>
</body>
</html>