<%@ taglib uri="/webwork" prefix="ww" %>

<html>
<head>
    <title>
        <ww:property value="getText('directoryinternal.title')"/>
    </title>
</head>
<body>

<div class="crowdForm">

    <form method="post" action="<ww:url namespace="/console/setup" action="directoryinternal" method="update" />" name="directoryinternal">

        <div class="formTitle">
            <h2>
                <ww:property value="getText('directoryinternal.title')"/>
            </h2>
        </div>

        <div class="formBody">
            <input type="hidden" name="active" value="true"/>
            <input type="hidden" name="permissionGroupAdd" value="<ww:property value="permissionGroupAdd" />"/>
            <input type="hidden" name="permissionGroupModify" value="<ww:property value="permissionGroupModify" />"/>
            <input type="hidden" name="permissionGroupRemove" value="<ww:property value="permissionGroupRemove" />"/>
            <input type="hidden" name="permissionPrincipalAdd" value="<ww:property value="permissionPrincipalAdd" />"/>
            <input type="hidden" name="permissionPrincipalModify" value="<ww:property value="permissionPrincipalModify" />"/>
            <input type="hidden" name="permissionPrincipalRemove" value="<ww:property value="permissionPrincipalRemove" />"/>
            <input type="hidden" name="permissionRoleAdd" value="<ww:property value="permissionRoleAdd" />"/>
            <input type="hidden" name="permissionRoleModify" value="<ww:property value="permissionRoleModify" />"/>
            <input type="hidden" name="permissionRoleRemove" value="<ww:property value="permissionRoleRemove" />"/>

            <ww:include value="/console/include/generic_errors.jsp"/>

            <ww:textfield name="name" size="50">
                <ww:param name="label" value="getText('directoryinternal.name.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.name.description')"/>
                </ww:param>
                <ww:param name="required" value="true"/>
            </ww:textfield>

            <ww:textfield name="description" size="50">
                <ww:param name="label" value="getText('directoryinternal.description.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.description.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:textfield name="passwordRegex" size="50">
                <ww:param name="label" value="getText('directoryinternal.passwordregex.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.passwordregex.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:textfield name="passwordMaxAttempts">
                <ww:param name="label" value="getText('directoryinternal.passwordmaxattempts.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.passwordmaxattempts.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:textfield name="passwordMaxChangeTime">
                <ww:param name="label" value="getText('directoryinternal.passwordmaxchangetime.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.passwordmaxchangetime.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:textfield name="passwordHistoryCount">
                <ww:param name="label" value="getText('directoryinternal.passwordhistorycount.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('directoryinternal.passwordhistorycount.description')"/>
                </ww:param>
            </ww:textfield>
        </div>

        <div class="formFooter wizardFooter">

            <div class="buttons">
                <input type="submit" class="button" value="<ww:property value="getText('continue.label')"/> &raquo;"/>
            </div>
        </div>

    </form>

</div>

</body>
</html>